GNU bug report logs - #46481
"guix download" with ftp URL doesn't work on IPv6 network

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Danny Milosavljevic <dannym@HIDDEN>; dated Sat, 13 Feb 2021 02:37:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 46481 <at> debbugs.gnu.org:


Received: (at 46481) by debbugs.gnu.org; 17 Feb 2021 09:15:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 17 04:15:56 2021
Received: from localhost ([127.0.0.1]:42449 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lCIw7-0006bt-UV
	for submit <at> debbugs.gnu.org; Wed, 17 Feb 2021 04:15:56 -0500
Received: from mail.zaclys.net ([178.33.93.72]:45057)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lle-bout@HIDDEN>) id 1lCIw6-0006VW-7I
 for 46481 <at> debbugs.gnu.org; Wed, 17 Feb 2021 04:15:54 -0500
Received: from guix-xps.local (82-64-145-38.subs.proxad.net [82.64.145.38])
 (authenticated bits=0)
 by mail.zaclys.net (8.14.7/8.14.7) with ESMTP id 11H9Fmcv045615
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO)
 for <46481 <at> debbugs.gnu.org>; Wed, 17 Feb 2021 10:15:48 +0100
DMARC-Filter: OpenDMARC Filter v1.3.2 mail.zaclys.net 11H9Fmcv045615
Authentication-Results: mail.zaclys.net;
 dmarc=fail (p=reject dis=none) header.from=zaclys.net
Authentication-Results: mail.zaclys.net;
 spf=fail smtp.mailfrom=lle-bout@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=zaclys.net;
 s=default; t=1613553348;
 bh=bL0CcZhkZyg9BBPZ+5teuLQ7PeSe0mpd10UiGu+cfSA=;
 h=Subject:From:To:Date:From;
 b=Dny+a3NYKl1YZPqR48FJouyD96hzQoInjA0JjUak/OcxIRV0cddrKAlQDx8rhYROu
 sV8SivC8rrISQ6Hrxolrp0Xzb8AP1i3OncJq5g0KP7Vs032nbwZuwDmvlY54ap0o6H
 xZC//taQ/HmsNJz6vVdBUuzeTscOI6WyhEMPiw0I=
Message-ID: <1cd8fa69fdfd4a90fcf38603e0421d0ba1b472a9.camel@HIDDEN>
Subject: 
From: =?ISO-8859-1?Q?L=E9o?= Le Bouter <lle-bout@HIDDEN>
To: 46481 <at> debbugs.gnu.org
Date: Wed, 17 Feb 2021 10:15:47 +0100
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-klwTEWhlCxDplWvC7+kt"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Hello! It looks like the proposed fix at
 858898e348eb300a94b74115328ee39191829bda
 is causing other issues: $ guix describe Generation 27 Feb 17 2021 09:39:49
 (current) guix 861ba52 repository URL:
 https://git.savannah.gnu.org/git/guix.git
 branch: master commit: 861ba5258399360a8f4c4e7cd08958f46d2c2b1e 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.0 BLANK_SUBJECT          Subject is present but empty
X-Debbugs-Envelope-To: 46481
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)


--=-klwTEWhlCxDplWvC7+kt
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hello!

It looks like the proposed fix at
858898e348eb300a94b74115328ee39191829bda is causing other issues:

$ guix describe
Generation 27	Feb 17 2021 09:39:49	(current)
  guix 861ba52
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 861ba5258399360a8f4c4e7cd08958f46d2c2b1e

$ strace guix refresh libgcrypt
....
read(15, "220-Welcome hacker!\r\n220-.\r\n220-"..., 4096) =3D 701
write(15, "USER anonymous\r\n", 16)     =3D 16
read(15, "331 Send e-mail address as passw"..., 4096) =3D 38
write(15, "PASS guix@HIDDEN\r\n", 23) =3D 23
read(15, "230 User logged in, proceed.\r\n", 4096) =3D 30
brk(0x1534000)                          =3D 0x1534000
write(15, "CWD /\r\n", 7)               =3D 7
read(15, "250 Directory change successful."..., 4096) =3D 34
write(15, "CWD gcrypt\r\n", 12)         =3D 12
read(15, "250-This directory is used as FT"..., 4096) =3D 1106
write(15, "CWD libgcrypt\r\n", 15)      =3D 15
read(15, "250-This is the stable version o"..., 4096) =3D 135
write(15, "EPSV\r\n", 6)                =3D 6
read(15,=20
... hangs ...

Should we explicitly check if we are over an IPv6 connection instead?
Is that possible?

L=C3=A9o

--=-klwTEWhlCxDplWvC7+kt
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEFIvLi9gL+xax3g6RRaix6GvNEKYFAmAs3sMACgkQRaix6GvN
EKZI7hAAuwDpHJFJcPEX8J0QKBsY9/KLSOBkxFT/HYgFYPNYUL590jTobKNIMMmw
oKawOdSVD1J+dpI2XU+hZ6WQys2GmlYd1rwZsV33cU9HEj3/oV82SEHAldLk4ZWN
sgzs4psVHUn554Vl1OqRmLOUA67cF6GkFcGMWhcgiSJ8Rqaxn/8CJLRRKK5i/EzK
7cxnF8qo3eF1WSu9i1YJoMc/jGr/WTHEW+KMyp/TWuaLc3h+BnOHmFo3PGTI8Pdh
L/m2zOHepbD69MLbsie0Mppj9wmnOlnu/A+Q3mmJij/DBhBR14tUX8Y+q4PxY8Na
7Lrry1ItRa733kP0lc/bFZ3tlJbpdALXLXOb6KvNCRj0Z+/G31SSj6Fcw3p6QEDT
i+UDIeiCWq1sUSss18XtoIfKFFNwPMsyxNGefkkLqFulH/imlwY4YLvNJ0TXM7EN
S/UP4iqFFLIq9OfSAeJ5qefwtvwPYoVLmnsb6XZD7TZUQphcGAqrWxn3sFujtrVl
ZHezVm16SQT2X2QzNeWUaP6GAQEPwV/Z5bQAGq4066eFDRh7hF4VeXmoFeoNCCK6
Mi30vygMgmss1HjrQmdwiEWydkMGT4ayF6GUOWs1R/fumgQAy0xTcejWvW6Pv3uT
t+qpGZ3G+k0oAe2XZcvHmXsw7gd+bpQRDMRrK89G5jLVEGHggsQ=
=xuP2
-----END PGP SIGNATURE-----

--=-klwTEWhlCxDplWvC7+kt--





Information forwarded to bug-guix@HIDDEN:
bug#46481; Package guix. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 46481-done <at> debbugs.gnu.org:


Received: (at 46481-done) by debbugs.gnu.org; 15 Feb 2021 00:39:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 14 19:39:25 2021
Received: from localhost ([127.0.0.1]:37015 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lBRvA-0008Fe-PG
	for submit <at> debbugs.gnu.org; Sun, 14 Feb 2021 19:39:25 -0500
Received: from mail-oln040092254010.outbound.protection.outlook.com
 ([40.92.254.10]:18578 helo=APC01-PU1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <iyzsong@HIDDEN>) id 1lBRv9-0008FR-1k
 for 46481-done <at> debbugs.gnu.org; Sun, 14 Feb 2021 19:39:23 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=E83uo5x9M55leTypUsbWT61PuGvRuNFpPn4LWiPsopuFZ3pjgo8LJrlIVpVi4BgwP7ews3HjT2cXziQvclfPUE0CXar5hslWB/CdXMqOK2sRA7PdqMseITY9YyNTrHYu1PrpWk1rc7zgZWNVa+uLLSCpgifrJoJlHp8VG1HkI9HQurmPMv/HgBOfcdL6tEvEnyUGJh4wC9k5vMSfzwkTugAtdUIOBDiL+j2PvGPis2rH7LsLMxrgLwFOi5Cf0lOAzRQ84ohu5qSUSEsOqGxY4obcwsuIM8aNils/YXw7K6jcIoQctHM2Rl6YVMdFZUWjhZbfQfEOBI7pz1ORLHSnwQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=QTuqCbn+peA7DewT+Oe1hfv3ZtMlFunCLcNW+xiV+mM=;
 b=k5qhWTFfBtE4wEdJqXYa+DM2NKuwjfchtwRX8fbPs1cdacmsBPzwknxAKsDpPsCGvZvIGrbFAeJK6rIqgBO4xFet8oGVj3Gb7GAwzFUrER5Mn4XG3vUYqpNPqwOxUUT6RDj1pGGHY34PcusJ1PfIgePaDTEjQIMDeD29BCQE869QUzt7k7ipge7vRmkBMd5Qk0855SGY1SWz3XsmwHSmv12a0QDaaMNJOEr0t+dLNJ15ITPJTPN+RLFyyj8FOYVmZ/3/dfbTaM4snZh0vs6hwZLESgJvVsOON7oB8CQcTHhgOEozn+v5TjJSdMKr1sTPnWqKyOY7AET78VXm+ifydw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=QTuqCbn+peA7DewT+Oe1hfv3ZtMlFunCLcNW+xiV+mM=;
 b=Kia+mX0j28SJeFuYTuj5MHahMC39jRk2sZgP5nyTEvzT649HIRWeYaTfV6AEasEx5pNbzv+QctmZbhVxz8+gyVdffkLzPRKVr24+VvK+/z3d+E/OcEIsR/xK9YYljocWeCoPxFQZYzuIYKtsatd+VYbEGF+N5oEZQtztSh1rkk0QXyyO3IxtIZ4HtL/kyJJeUpmlPJJdARXyjIwd8ILQO7f5G3/6MERVRDHfNUeL0mXgEQYQwoiuiOF0q17KXKsHlbC+pYstyXAHI1IkQew/uPTl20sON5NtE4E/szAkCz87GYuqse7qhJFUsm8WtifHW4lxH3kuHU4PCAA9VPDbBQ==
Received: from SG2APC01FT133.eop-APC01.prod.protection.outlook.com
 (2a01:111:e400:7ebd::51) by
 SG2APC01HT097.eop-APC01.prod.protection.outlook.com (2a01:111:e400:7ebd::456)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3846.25; Mon, 15 Feb
 2021 00:39:11 +0000
Received: from OSZP286MB0664.JPNP286.PROD.OUTLOOK.COM (2a01:111:e400:7ebd::53)
 by SG2APC01FT133.mail.protection.outlook.com
 (2a01:111:e400:7ebd::191) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3846.25 via Frontend
 Transport; Mon, 15 Feb 2021 00:39:11 +0000
X-IncomingTopHeaderMarker: OriginalChecksum:AE0185485DE99E769D2476A69E683AED6E3EB5BCC72C67CC9289548604C77F30;
 UpperCasedChecksum:07F67ECFD40D9B9F8D41CA4005F6267D463AD83175AFECB7DFF5D877E5BD0CEC;
 SizeAsReceived:7670; Count:46
Received: from OSZP286MB0664.JPNP286.PROD.OUTLOOK.COM
 ([fe80::4987:bbf2:2bff:6b22]) by OSZP286MB0664.JPNP286.PROD.OUTLOOK.COM
 ([fe80::4987:bbf2:2bff:6b22%5]) with mapi id 15.20.3846.041; Mon, 15 Feb 2021
 00:39:11 +0000
From: =?utf-8?B?5a6L5paH5q2m?= <iyzsong@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: bug#46481: "guix download" with ftp URL doesn't work on IPv6
 network
References: <20210213033522.0196ffcf@HIDDEN>
 <OSZP286MB066415A300C10584FE301C39A3899@HIDDEN>
 <20210214202850.19730e36@HIDDEN>
Date: Mon, 15 Feb 2021 08:40:53 +0800
In-Reply-To: <20210214202850.19730e36@HIDDEN> (Danny Milosavljevic's
 message of "Sun, 14 Feb 2021 20:28:50 +0100")
Message-ID: <OSZP286MB0664001E9F36DF1693799140A3889@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
Content-Type: text/plain
X-TMN: [4UE+P0OI4Sp1B/NstcJJFmdJdoXllwacYVqbgQNewOzDzWe08NYK9bJy1LnXFGR7]
X-ClientProxiedBy: AM4PR0202CA0006.eurprd02.prod.outlook.com
 (2603:10a6:200:89::16) To OSZP286MB0664.JPNP286.PROD.OUTLOOK.COM
 (2603:1096:604:ec::11)
X-Microsoft-Original-Message-ID: <87czx29n8q.fsf@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from localhost (2409:8a62:378:f4a0:2f1:f5ff:fe18:6bb) by
 AM4PR0202CA0006.eurprd02.prod.outlook.com (2603:10a6:200:89::16) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3846.25 via Frontend
 Transport; Mon, 15 Feb 2021 00:39:09 +0000
X-MS-PublicTrafficType: Email
X-IncomingHeaderCount: 46
X-EOPAttributedMessage: 0
X-MS-Office365-Filtering-Correlation-Id: d7ef6658-8398-4d8d-0aaf-08d8d14a1c8c
X-MS-TrafficTypeDiagnostic: SG2APC01HT097:
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: s2uGyR3vMc3RkaGfz6Mxh61Kqdt2AqtBGuzjAuBxZSkkJvbqFDLk7XO5m06uywQWYDLNWWgEhrPzYV7zNluVujZR4wXxTisXYVXQpey0Mom8LR8Aeh90GcgQk6z+in5QYsAKxSA1wy9i0HRT6DGIo8Ul38tVLx++srGJ64WN9pzhO6iz4KJKOZeHNesioPZvmb+LlTnNV0Cht/dGRZ7kTmHHnzIDn6OPNZN87PXjdvQJPUJVSrV1eBdFv6fbqMlKTi3+elUz0P9RUGjIUCxxu6JjYlpJ/2L65IHwIfoPQU4CFWMxwn+4Hyw7Elzjx1M/dTy86ufZPjmpe8zCuhoHARQ3FCqJK6fIGUrzgOclMAxF8TdrojF5tiAEr/nkSE96
X-MS-Exchange-AntiSpam-MessageData: LD15uFFeawAogleAXl2Q6xi8O0kEFBWd64sTB1rDa+eXkwxQcgAPgEBYo8guMoa4xRIM6FygudRXpBW+4dl7z6Nncji+0HbJoyS2j9KhNO/9WUbsa09QlmFL7hY8K+jqcmX/kBVKE5JHJsk1+UmqTXbJX5YVhI0nKPX8+UyS4KYS3TGPQUX62+iNnrxaMnCL6i4+HwXTmsp9qts4hV0IfA==
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: d7ef6658-8398-4d8d-0aaf-08d8d14a1c8c
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 15 Feb 2021 00:39:11.2597 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-AuthSource: SG2APC01FT133.eop-APC01.prod.protection.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Anonymous
X-MS-Exchange-CrossTenant-FromEntityHeader: Internet
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SG2APC01HT097
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 46481-done
Cc: 46481-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Danny Milosavljevic <dannym@HIDDEN> writes:

> LGTM!

Pushed to master, thank you!




Notification sent to Danny Milosavljevic <dannym@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to 宋文武 <iyzsong@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 46481 <at> debbugs.gnu.org:


Received: (at 46481) by debbugs.gnu.org; 14 Feb 2021 19:28:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 14 14:28:57 2021
Received: from localhost ([127.0.0.1]:36773 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lBN4j-0004jU-G0
	for submit <at> debbugs.gnu.org; Sun, 14 Feb 2021 14:28:57 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:53026)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1lBN4i-0004jL-6E
 for 46481 <at> debbugs.gnu.org; Sun, 14 Feb 2021 14:28:56 -0500
Received: from localhost (80-110-127-104.cgn.dynamic.surfer.at
 [80.110.127.104])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 915DE3363C90;
 Sun, 14 Feb 2021 20:28:53 +0100 (CET)
Date: Sun, 14 Feb 2021 20:28:50 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
To: =?UTF-8?Q?=E5=AE=8B=E6=96=87=E6=AD=A6?= <iyzsong@HIDDEN>
Subject: Re: bug#46481: "guix download" with ftp URL doesn't work on IPv6
 network
Message-ID: <20210214202850.19730e36@HIDDEN>
In-Reply-To: <OSZP286MB066415A300C10584FE301C39A3899@HIDDEN>
References: <20210213033522.0196ffcf@HIDDEN>
 <OSZP286MB066415A300C10584FE301C39A3899@HIDDEN>
X-Mailer: Claws Mail 3.17.8 (GTK+ 2.24.32; x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="Sig_/f4aHvaeZw6JFRObD54KW.nU";
 protocol="application/pgp-signature"; micalg=pgp-sha512
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46481
Cc: 46481 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/f4aHvaeZw6JFRObD54KW.nU
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

LGTM!

--Sig_/f4aHvaeZw6JFRObD54KW.nU
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAmApefMACgkQ5xo1VCww
uqU+ywf9F0/lQSgVS8tdIwU7SPsMB4FNyd7IYNImMIr0lttMt8G4yLTe7devzGqn
MH1G+0LJsaFjyOhUoIXRnXz04wN8F2f6R40ir+X1HXZ2S6/mLt5OvB9mLHJExGMW
dJ/YaPA9M4fYOnjHZiKbIMJXZ/WIxE48aVK/FnGpDGLV2AbN1mbpP910QrdDEOy9
U8KMttLSXUHqNXWswcmvKXrJN/hUYWXeJ4MK0eqKTwe9XkJ0gfpdNLrAX6cypgE5
oHDOvbhLRwTANDcCfCAk2Uoxc48RXf/7eCmI63gaSI02xYaJfJtlE59smtz99x4O
9xTUh56f3W1/0a5oWejCv2foyNJ+dQ==
=ptaE
-----END PGP SIGNATURE-----

--Sig_/f4aHvaeZw6JFRObD54KW.nU--




Information forwarded to bug-guix@HIDDEN:
bug#46481; Package guix. Full text available.

Message received at 46481 <at> debbugs.gnu.org:


Received: (at 46481) by debbugs.gnu.org; 14 Feb 2021 04:06:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 13 23:06:50 2021
Received: from localhost ([127.0.0.1]:35348 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lB8gM-0006wA-BK
	for submit <at> debbugs.gnu.org; Sat, 13 Feb 2021 23:06:50 -0500
Received: from mail-oln040092254035.outbound.protection.outlook.com
 ([40.92.254.35]:10984 helo=APC01-PU1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <iyzsong@HIDDEN>) id 1lB8gI-0006vv-P9
 for 46481 <at> debbugs.gnu.org; Sat, 13 Feb 2021 23:06:48 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=mAfkMVpW+DryY6zJUrp2ZRvVRU84AQwe+WHKRMcEMvTMJNjPcTqxGZXC7ehqcgdsRVaqBWXiR6thE9X0moJ18F8ZYjEETxNDA4qmgLT3wRjosl/aYNjTbj+AmX8UobrK+4E+j3DDJXv0Qn61tuP0ANa8ggTTJCn4LzLi527Wd0P/CCU0t9h6aPMM5sx8BisvqkfUTguvBtlKKOQTx/4z7eDA4mleGOfPNLRtpmzhxgKIgPuTE5uSgtqF/ozbSl14UwC5C0GtsJdsTLDJQMW/3YzvkpGec9fu8Yo79ETTddbOjaCZxAfJ58p+ftfmhe+NLnsOhXbn+VwJS1X+sgeU3Q==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=LhHgWsWTR/h5fw7sg8a3i9hea4rpX4HGMgwfn5U3gnY=;
 b=H3Q2dp5N0v5qXPtUHNmwaxPf6zMBgT0Td6PozNl073+W/JCdTHWiL9x9wueu/dKmVmZ5CNQN11S8+otDvX9VCFdz1AufCO1FN34ffqXEVEjNmg7GQqruDH6B+nfdDp76bvdHfzR2Cb4neL2jUe6mijkDv6Yuow5+n07e7MPYiZj6hyKnn63MGhNwdUrP5PXsZpSH+qXUTMrVKVR2Y8l1IweXBv36QUUIJofxzjJ8V7fQ4C5t65xO9mFia44Lm50Hi2ApyG//0rKwgas74bNaq3k2JB/8bri/FIGjvQ9mWVa33b33Mw4DwSeug/eauZzzMBWHxIH/h5glsqQHBcUuBg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=LhHgWsWTR/h5fw7sg8a3i9hea4rpX4HGMgwfn5U3gnY=;
 b=K4r5qfIDCUtx6pMxqNe0pRVSu5z6MRiW8sjLaubtvuOIlgheeM3pIpP7vYqAextVH0TxsmhMLzkqBFqYDaYippmGL4EoB8EmCyPmtJwqBRrssZ7Qv3xZNf+KVu1LfZUtyF4WqmOHIP6ZbizUlu7lI44gjB/VV+6EBho76ijXY3BW1ygommu3T7uqdxHBjQgKRN6RXUaoGgBj3dBtqW1JdWpxxwodlfQy+dwERAhHynS+3Eej53QNXmEAABd6JV2+OUzjIjT0VGuoxshanPV5DS+fLVh4/hmp3ZL9iocHgdlJXVaYKVkCUoXVWz5D1rovJ4XPLZBX5N0ZEuOWQob1sQ==
Received: from SG2APC01FT030.eop-APC01.prod.protection.outlook.com
 (2a01:111:e400:7ebd::52) by
 SG2APC01HT009.eop-APC01.prod.protection.outlook.com (2a01:111:e400:7ebd::197)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3846.25; Sun, 14 Feb
 2021 04:06:28 +0000
Received: from OSZP286MB0664.JPNP286.PROD.OUTLOOK.COM (10.152.250.58) by
 SG2APC01FT030.mail.protection.outlook.com (10.152.250.200) with Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.3846.25 via Frontend Transport; Sun, 14 Feb 2021 04:06:28 +0000
X-IncomingTopHeaderMarker: OriginalChecksum:AA4E18A870D74A96F6C77D0B703D0EBDBB815E8EDB87F64A07B9B7F0D4B69043;
 UpperCasedChecksum:826C3044FF45FD18D39689F7042D69229496B0534BE6F66054C4CB29BBDF0E52;
 SizeAsReceived:7542; Count:46
Received: from OSZP286MB0664.JPNP286.PROD.OUTLOOK.COM
 ([fe80::4987:bbf2:2bff:6b22]) by OSZP286MB0664.JPNP286.PROD.OUTLOOK.COM
 ([fe80::4987:bbf2:2bff:6b22%5]) with mapi id 15.20.3846.039; Sun, 14 Feb 2021
 04:06:28 +0000
From: =?utf-8?B?5a6L5paH5q2m?= <iyzsong@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: bug#46481: "guix download" with ftp URL doesn't work on IPv6
 network
References: <20210213033522.0196ffcf@HIDDEN>
Date: Sun, 14 Feb 2021 12:08:09 +0800
In-Reply-To: <20210213033522.0196ffcf@HIDDEN> (Danny Milosavljevic's
 message of "Sat, 13 Feb 2021 03:35:57 +0100")
Message-ID: <OSZP286MB066415A300C10584FE301C39A3899@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
Content-Type: multipart/mixed; boundary="=-=-="
X-TMN: [zkObiTjscdBDLa3+/hK8gkWo7Oypv0aWveh+N/tt5bbFTyk94OtVTE+S4Bhqlbkp]
X-ClientProxiedBy: FRYP281CA0017.DEUP281.PROD.OUTLOOK.COM (2603:10a6:d10::27)
 To OSZP286MB0664.JPNP286.PROD.OUTLOOK.COM
 (2603:1096:604:ec::11)
X-Microsoft-Original-Message-ID: <87eehjuw9i.fsf@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from localhost (2409:8a62:378:f4a0:2f1:f5ff:fe18:6bb) by
 FRYP281CA0017.DEUP281.PROD.OUTLOOK.COM (2603:10a6:d10::27) with Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.3868.12 via Frontend Transport; Sun, 14 Feb 2021 04:06:26 +0000
X-MS-PublicTrafficType: Email
X-IncomingHeaderCount: 46
X-EOPAttributedMessage: 0
X-MS-Office365-Filtering-Correlation-Id: 16a2e6a3-d541-42d2-68da-08d8d09de715
X-MS-TrafficTypeDiagnostic: SG2APC01HT009:
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: S2cRhQvasafcoqdbhlWswgU9vNq/eErh5lgoPXQIV6oX49A6W9SAym/pIzIn8xiRN124F4qhBbsBV3H6epmv9BU8wHAfXuiFUecejCF4jI0CII0m5HzvMIuVjE6SyiWi/4H77ORYg6qIykjDVTXUjB74EALxs55V1P+wHXdhdh6nalYgYXdXoN6p7K5z6xoxbzO9zLnO3bLHG/kltvXcklxa+LIKTZdXg4F3t4l67UMkNdxpK2lwUj6ab+ZvFi0M+psyoG76Xgn5RAphl9hON2RKwEBog6+BPyrrq/YgMljXzeeQ654p5m3ltc7NrgisTZ1fd3127lrojPUIEq2f7jEoQNG0V8gqd3Au2moMnyJN4GRsCJTars3B2SfwMXlupQRHQcNQWYFc2qJKp24NbwhCdkA0piEQyM3U+nNdv1w=
X-MS-Exchange-AntiSpam-MessageData: llJgzHqg6/xL2KWw389sMtERtfKID4qf6k8tRdRiLTVWecAJ4LWKgenryq0w174Xk4Pv7VJnwBczSKfvBxIUd5KyfsByBivvE1s4kINmDFl6ZoupXzHIS0CHqvTRA9cF4rzdL9G1IJ8t6LDvdd1DCbQemyp3fp7U2L7HEsBeJtSxPN9UGVnxxB0eYcLNsv0hUgUOzR78Tpk9q8oWogwPDw==
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 16a2e6a3-d541-42d2-68da-08d8d09de715
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 14 Feb 2021 04:06:28.3943 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-AuthSource: SG2APC01FT030.eop-APC01.prod.protection.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Anonymous
X-MS-Exchange-CrossTenant-FromEntityHeader: Internet
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SG2APC01HT009
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 46481
Cc: 46481 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Danny Milosavljevic <dannym@HIDDEN> writes:

> I strongly suspect there to be some problem with the ftp client since
> that's the second file that doesn't work using guix download but does work
> using wget, on the same computer.
>
> $ guix download ftp://ftp.denx.de/pub/u-boot/u-boot-2021.01.tar.bz2
>
> Starting download of /tmp/guix-file.tORPhj
> From ftp://ftp.denx.de/pub/u-boot/u-boot-2021.01.tar.bz2...
> Throw to key `ftp-error' with args `(#<input-output: socket 16> "PASV" 425 "You cannot use PASV on IPv6 connections. Use EPSV instead.\r")'.
> failed to download "/tmp/guix-file.tORPhj" from "ftp://ftp.denx.de/pub/u-boot/u-boot-2021.01.tar.bz2"
> guix download: error: ftp://ftp.denx.de/pub/u-boot/u-boot-2021.01.tar.bz2: download failed

Yes, with this patch I can get it work:

--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0001-ftp-client-Before-PASV-try-EPSV-first-for-IPv6.patch

From 568ea9cc0e07eab24c7d24e228d7d391f191feca Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=E5=AE=8B=E6=96=87=E6=AD=A6?= <iyzsong@HIDDEN>
Date: Sun, 14 Feb 2021 12:02:57 +0800
Subject: [PATCH] ftp-client: Before 'PASV', try 'EPSV' first for IPv6.

This fixes <https://bugs.gnu.org/46481>.

* guix/ftp-client.scm (ftp-epsv, ftp-passive): New procedure.
(ftp-list, ftp-retr): Replace call to 'ftp-pasv' with 'ftp-passive'.
---
 guix/ftp-client.scm | 17 +++++++++++++++--
 1 file changed, 15 insertions(+), 2 deletions(-)

diff --git a/guix/ftp-client.scm b/guix/ftp-client.scm
index 8d5adcb8ed..a72057d3f5 100644
--- a/guix/ftp-client.scm
+++ b/guix/ftp-client.scm
@@ -216,6 +216,19 @@ TIMEOUT, an ETIMEDOUT error is raised."
           (else
            (throw 'ftp-error conn "PASV" 227 message)))))
 
+(define (ftp-epsv conn)
+  (let* ((message (%ftp-command "EPSV" 229 (ftp-connection-socket conn))))
+    (string->number
+     (match:substring
+      (string-match "\\(...([0-9]+).\\)" message) 1))))
+
+(define (ftp-passive conn)
+  "Enter passive mode using EPSV or PASV, return a data connection port on
+success."
+  ;; IPv6 only works with EPSV, so try it first.
+  (or (false-if-exception (ftp-epsv conn))
+      (ftp-pasv conn)))
+
 (define (address-with-port sa port)
   "Return a socket-address object based on SA, but with PORT."
   (let ((fam  (sockaddr:fam sa))
@@ -232,7 +245,7 @@ TIMEOUT, an ETIMEDOUT error is raised."
   (if directory
       (ftp-chdir conn directory))
 
-  (let* ((port (ftp-pasv conn))
+  (let* ((port (ftp-passive conn))
          (ai   (ftp-connection-addrinfo conn))
          (s    (socket (addrinfo:fam ai) (addrinfo:socktype ai)
                        (addrinfo:protocol ai))))
@@ -281,7 +294,7 @@ must be closed before CONN can be used for other purposes."
   ;; Ask for "binary mode".
   (%ftp-command "TYPE I" 200 (ftp-connection-socket conn))
 
-  (let* ((port (ftp-pasv conn))
+  (let* ((port (ftp-passive conn))
          (ai   (ftp-connection-addrinfo conn))
          (s    (with-fluids ((%default-port-encoding #f))
                  (socket (addrinfo:fam ai) (addrinfo:socktype ai)
-- 
2.30.0


--=-=-=
Content-Type: text/plain


Okay to push?

--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#46481; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Feb 2021 02:36:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 12 21:36:10 2021
Received: from localhost ([127.0.0.1]:33285 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lAkn3-0000qv-Na
	for submit <at> debbugs.gnu.org; Fri, 12 Feb 2021 21:36:10 -0500
Received: from lists.gnu.org ([209.51.188.17]:36250)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1lAkmz-0000qk-3u
 for submit <at> debbugs.gnu.org; Fri, 12 Feb 2021 21:36:08 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:45770)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <dannym@HIDDEN>)
 id 1lAkmy-0002Jy-Sm
 for bug-guix@HIDDEN; Fri, 12 Feb 2021 21:36:04 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:60554)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <dannym@HIDDEN>)
 id 1lAkmw-0001CI-UI
 for bug-guix@HIDDEN; Fri, 12 Feb 2021 21:36:04 -0500
Received: from localhost (80-110-127-104.cgn.dynamic.surfer.at
 [80.110.127.104])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 567453363C3D
 for <bug-guix@HIDDEN>; Sat, 13 Feb 2021 03:36:00 +0100 (CET)
Date: Sat, 13 Feb 2021 03:35:57 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
To: <bug-guix@HIDDEN>
Subject: "guix download" with ftp URL doesn't work on IPv6 network
Message-ID: <20210213033522.0196ffcf@HIDDEN>
X-Mailer: Claws Mail 3.17.8 (GTK+ 2.24.32; x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="Sig_/jEwcOCcT3e=pLK3fZnPsKGE";
 protocol="application/pgp-signature"; micalg=pgp-sha512
Received-SPF: none client-ip=85.13.145.193;
 envelope-from=dannym@HIDDEN; helo=dd26836.kasserver.com
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 SPF_HELO_NONE=0.001, SPF_NONE=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--Sig_/jEwcOCcT3e=pLK3fZnPsKGE
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

I strongly suspect there to be some problem with the ftp client since
that's the second file that doesn't work using guix download but does work
using wget, on the same computer.

$ guix download ftp://ftp.denx.de/pub/u-boot/u-boot-2021.01.tar.bz2

Starting download of /tmp/guix-file.tORPhj
=46rom ftp://ftp.denx.de/pub/u-boot/u-boot-2021.01.tar.bz2...
Throw to key `ftp-error' with args `(#<input-output: socket 16> "PASV" 425 =
"You cannot use PASV on IPv6 connections. Use EPSV instead.\r")'.
failed to download "/tmp/guix-file.tORPhj" from "ftp://ftp.denx.de/pub/u-bo=
ot/u-boot-2021.01.tar.bz2"
guix download: error: ftp://ftp.denx.de/pub/u-boot/u-boot-2021.01.tar.bz2: =
download failed

--Sig_/jEwcOCcT3e=pLK3fZnPsKGE
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAmAnOw0ACgkQ5xo1VCww
uqW++gf/XAYNlmIyPqVcA8Gku+UlR8/QR0R1GAwESHTNyKrVxmQ7zyLKAyl9jzl5
J2eCw1udyT+j1erj+aAti3/IMtpPRb1iF696oBqooW/N+Jd7brOS6skDAqbPIR6t
qNce1Dsnyi9eMQP1hf0fpUTOZbTNhIMAny/HSPqPokT4gS9G8eYTX3AI56VgDthE
6rT4yPPhLkJBgH4pUW6EDJi1JURNbnaBNw7BNMsV3ydi0oioph4PyYJ/AbYQFkHw
OtleXvXvBkJWpH9mGHwhQisjb4YRG5SucRdDj/EmM7+FBhcy4Bev/ahTgw9OTA0e
vTDzIAFZZXy0b7hWPx/pox+GzRaOTw==
=7qum
-----END PGP SIGNATURE-----

--Sig_/jEwcOCcT3e=pLK3fZnPsKGE--




Acknowledgement sent to Danny Milosavljevic <dannym@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#46481; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 17 Feb 2021 09:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.